Package org.linphone.core

# Class EventListenerStub

java.lang.Object
org.linphone.core.EventListenerStub

All Implemented Interfaces:
  `EventListener`

public class EventListenerStub extends Object implements EventListener

## Constructor Summary

Constructors
Constructor
Description
`EventListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onNotifyReceived(Event event, Content content)`
Gets the notify received callback.
`void`
`onNotifyResponse(Event event)`
Gets the notify response callback.
`void`
`onPublishReceived(Event event, Content content)`
Gets the publish received callback.
`void`
`onPublishStateChanged(Event event, PublishState state)`
Gets the publish state changed callback.
`void`
`onSubscribeReceived(Event event)`
Gets the subscribe received callback.
`void`
`onSubscribeStateChanged(Event event, SubscriptionState state)`
Gets the subscribe state changed callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventListenerStub

public EventListenerStub()

## Method Details

### onNotifyResponse

public void onNotifyResponse(Event event)
Description copied from interface: `EventListener`
Gets the notify response callback.

Specified by:
  `onNotifyResponse` in interface `EventListener`

### onNotifyReceived

public void onNotifyReceived(Event event, Content content)
Description copied from interface: `EventListener`
Gets the notify received callback.

Specified by:
  `onNotifyReceived` in interface `EventListener`

### onSubscribeReceived

public void onSubscribeReceived(Event event)
Description copied from interface: `EventListener`
Gets the subscribe received callback.

Specified by:
  `onSubscribeReceived` in interface `EventListener`

### onSubscribeStateChanged

public void onSubscribeStateChanged(Event event, SubscriptionState state)
Description copied from interface: `EventListener`
Gets the subscribe state changed callback.

Specified by:
  `onSubscribeStateChanged` in interface `EventListener`

### onPublishReceived

public void onPublishReceived(Event event, Content content)
Description copied from interface: `EventListener`
Gets the publish received callback.

Specified by:
  `onPublishReceived` in interface `EventListener`

### onPublishStateChanged

public void onPublishStateChanged(Event event, PublishState state)
Description copied from interface: `EventListener`
Gets the publish state changed callback.

Specified by:
  `onPublishStateChanged` in interface `EventListener`